using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public interface IFWTextBoxs
    {
        //TextBox metody
        void TextBoxClickByName(string name, int repeatingTime = 0);
        void TextBoxClickByAutomationID(string name, int repeatingTime = 0);
        void TextBoxClickBy(string name, int repeatingTime = 0);
        void InsertToTextBox(string text);
        string ReadFromTextBox();
        void TextBoxFind(string value, int repeatingTime = 0);
        void TextBoxDoubleClickBy(string name, int repeatingTime = 0);
        bool TextBoxExist(string name, int repeatingTime = 0);
        bool TextBoxIsVisible(string name, int repeatingTime = 0);
        void TextBoxFindBy(int id);
    }
}
